-- ***********************************************************************
-- KOHA UNIMARC STANDARD DEFAULT BIBLIOGRAPHIC FRAMEWORK
--
-- Pretest Version 0.0.1
-- 2007-11-05
--
-- edited
-- with much more work remaining
-- (PLEASE SEE WARNING BELOW)
-- by thd
--
-- originally compiled
-- by Roberto Sturman
--
-- from
--
-- UNIMARC manual : bibliographic format 1994 / IFLA Universal
-- Bibliographic Control and International MARC Core Programme (UBCIM). -
-- "The following list represents the state of the format as at 1 March
-- 2000.  It includes the changes published in Update 3." -
-- http://www.ifla.org/VI/3/p1996-1/sec-uni.htm .
-- 2006-03-15 a

-- From Zeno Tajoli (2010-08-12):
--
-- Improved default id Koha field (090) and koha date field (099). 
-- Insert link to sql coloum biblio.biblionumber in tag 001
-- Insert the use of 942, local data
-- Insert a standard minimun on 995 (holding field)
-- ***********************************************************************



-- ***********************************************************************


-- ****************************************************************************
-- WARNING
-- RISK OF DATA LOSS
--
-- Modestly corrected and augmented.  Missing many elements.  The work of the
-- original compiler had been done before significant improvements to Koha
-- MARC frameworks implementation had been introduced in 2006 for displaying,
-- editing, and preserving record data.
--
-- The documentation cited by the original compiler is known to be out of date
-- and incomplete.  Furthermore, the original compiler did not include all
-- fields and subfields from the documentation he consulted.
--
-- Completely unsafe for production use without significant correction and
-- augmentation.  These problems could be fixed but a few days work would be
-- required to fix them completely. -- thd.
-- ****************************************************************************




-- ******************************************************
-- KOHA RECORD AND HOLDINGS MANAGEMENT FIELDS/SUBFIELDS.
-- ******************************************************


-- Current Record ID Field/Subfields (090)

insert  into `marc_tag_structure`(`tagfield`,`liblibrarian`,`libopac`,`repeatable`,`mandatory`,`authorised_value`,`frameworkcode`) values
	('090','System Control Numbers (Koha)','System Control Numbers (Koha)',0,0,'','');

insert  into `marc_subfield_structure`(`tagfield`,`tagsubfield`,`liblibrarian`,`libopac`,`repeatable`,`mandatory`,`kohafield`,`tab`,`authorised_value`,`authtypecode`,`value_builder`,`isurl`,`hidden`,`frameworkcode`,`seealso`,`link`,`defaultvalue`) values 
	('090','a','Koha biblioitem number (autogenerated)','Koha biblioitem number (autogenerated)',0,0,'biblioitems.biblioitemnumber',9,'','','',0,-5,'',NULL,'','');

-- Local date field/Subfields (099)

insert  into `marc_tag_structure`(`tagfield`,`liblibrarian`,`libopac`,`repeatable`,`mandatory`,`authorised_value`,`frameworkcode`) values
	('099','local dates','',0,0,'','');

insert  into `marc_subfield_structure`(`tagfield`,`tagsubfield`,`liblibrarian`,`libopac`,`repeatable`,`mandatory`,`kohafield`,`tab`,`authorised_value`,`authtypecode`,`value_builder`,`isurl`,`hidden`,`frameworkcode`,`seealso`,`link`,`defaultvalue`) values 
	('099','c','Date of creation (bib. record)','Date of creation (bib. record)',0,0,'biblio.datecreated',0,'','','',0,-5,'',NULL,'','');
 
insert  into `marc_subfield_structure`(`tagfield`,`tagsubfield`,`liblibrarian`,`libopac`,`repeatable`,`mandatory`,`kohafield`,`tab`,`authorised_value`,`authtypecode`,`value_builder`,`isurl`,`hidden`,`frameworkcode`,`seealso`,`link`,`defaultvalue`) values
	('099','d','Last modified date (bib. record)','Last modified data (bib. record)',0,0,'biblio.timestamp',0,'','','',0,-5,'',NULL,'','');


-- Current primary biblioitems Field/Subfields (942)


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'ADDED ENTRY ELEMENTS (KOHA)', 'ADDED ENTRY ELEMENTS (KOHA)', 0, 0, '', '');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Koha issues (borrowed), all copies', 'Koha issues (borrowed), all copies', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, '', '', '', NULL),
		('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', '', NULL, 0, '', '', '', NULL),
		('942', '6', 'Koha normalized classification for sorting', 'Koha normalized classification for sorting', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, '', '', '', NULL),
		('942', 'c', 'Koha item type', 'Koha item type', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, '', '', '', NULL),
		('942', 's', 'Serial record flag', 'Serial record', 0, 0, 'biblio.serial', 9, '', '', '', NULL, -5, '', '', '', NULL);


-- ******************************************************


-- Recommandation 995 is designed for interlibrary loan.  It is not designed
-- for holdings even if libraries have used it for holdings.

-- Original items Field/Subfields

-- Adapted from:
-- Recommandation 995 sur la fourniture de données locales dans les
-- échanges de notices bibliographiques en UNIMARC accompagnant le prêt
-- ou le dépôt d'exemplaires / ABF (Association des bibliothécaires
-- français) ; FULBI (Fédération des utilisateurs de logiciels de
-- bibliothèque) ; ADBDP (Association des directeurs de bibliothèques
-- départementales de prêt) ; ADBGV (Association des directeurs de
-- bibliothèques municipales et intercommunales des grandes villes de
-- France) ADDNB (Association pour le développement des documents
-- numériques en bibliothèque.



-- Current items Field/Subfields

INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('995', 'Location and Item Information (Koha)', 'Location and Item Information (Koha)', 0, 0, '', '');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('995', '0', 'Withdrawn status', 'Withdrawn status', 0, 0, 'items.wthdrawn', 10, 'WTHDRAWN', '', '', 0, 0, '', '', '', NULL),
		('995', '2', 'Lost status', 'Lost status', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, '', '', '', NULL),
		('995', '3', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, '', '', '', NULL),
		('995', '5', 'Date acquired', 'Coded location qualifier', 0, 0, 'items.dateaccessioned', 10, '', '', '', NULL, 0, '', '', '', NULL),
		('995', '6', 'Copy number', 'Copy number', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, '', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 0, 0, 'items.uri', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', '9', 'Internal item number (Koha itemnumber, autogenerated)', 'Internal itemnumber (Koha itemnumber)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, -5, '', '', '', NULL),
		('995', 'a', 'Origin of the item (home branch) (free text)', 'Origin of item (home branch) (free text)', 0, 1, '', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'b', 'Origin of item (home branch) (coded)', 'Origin of item (home branch (coded)', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, -1, '', '', '', NULL),
		('995', 'c', 'Lending or holding organisation (holding branch) code', 'Lending or holding organisation (holding branch) code ', 0, 1, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
		('995', 'd', 'Lending or holding organisation (holding branch) (free text)', 'Lending or holding organisation (holding branch) (free text)', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'e', 'Shelving location', 'Shelving location', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, '', '', '', NULL),
		('995', 'f', 'Barcode', 'Barcode', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, '', '', '', NULL),
		('995', 'h', 'Koha collection', 'Koha collection', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, '', '', '', NULL),
		('995', 'j', 'Inventory number', 'Inventory number', 0, 0, 'items.stocknumber ', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'k', 'Call number (full call number)', 'Call number (full call number)', 0, 0, 'items.itemcallnumber', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'l', 'Numbering (volume or other part)', 'Numbering (bound volume or other part)', 0, 0, 'items.materials', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'm', 'Date of loan or deposit', 'Date of loan or deposit', 0, 0, 'items.datelastborrowed', 10, '', '', '', 0, -5, '', '', '', NULL),
		('995', 'n', 'Expiration of loan date', 'Expiration of loan date', 0, 0, 'items.onloan', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'o', 'Circulation type (not for loan)', 'Circulation type (not for loan)', 0, 0, 'items.notforloan', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'r', 'Type of item and material', 'Type of item and material', 0, 1, 'items.itype', 10, 'itemtypes', '', '', 0, 0, '', '', '', NULL),
		('995', 'u', 'Copy note', 'Copy note', 0, 0, 'items.itemnotes', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'v', 'Serial Enumeration / chronology', 'Serial Enumeration / chronology', 0, 0, 'items.enumchron', 10, '', '', '', 0, -1, '', '', '', NULL);
 


-- *******************************************************
-- UNIMARC FIELDS/SUBFIELDS AND COMMMONLY USED EXTENSIONS.
-- *******************************************************


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'Record Label', 'Record Label', 0, 1, '', ''),
		('001', 'Record Identifier', 'Record Identifier', 0, 1, '', ''),
		('005', 'Version Identifier', 'Version Identifier', 0, 0, '', ''),
		('010', 'International Standard Book Number (ISBN)', 'International Standard Book Number (ISBN)', 0, 0, '', ''),
		('011', 'International Standard Serial Number (ISSN)', 'International Standard Serial Number (ISSN)', 0, 0, '', ''),
		('012', 'Fingerprint Identifier', 'Fingerprint Identifier', 0, 0, '', ''),
		('013', 'International Standard Music Number (ISMN)', 'International Standard Music Number (ISMN)', 0, 0, '', ''),
		('014', 'Article Identifier', 'Article Identifier', 0, 0, '', ''),
		('020', 'National Bibliography Number', 'National Bibliography Number', 0, 0, '', ''),
		('021', 'Legal Deposit Number', 'Legal Deposit Number', 0, 0, '', ''),
		('022', 'Government Publication Number', 'Government Publication Number', 0, 0, '', ''),
		('040', 'CODEN (Serials)', 'CODEN (Serials)', 0, 0, '', ''),
		('071', 'Publisher\'s Number (Sound Recordings and Music)', '', 0, 0, '', ''),
		('100', 'General Processing Data', 'General Processing Data', 1, 0, '', ''),
		('101', 'Language of the Item', 'Language of the Item', 1, 0, '', ''),
		('102', 'Country of Publication or Production', 'Country of Publication or Production', 0, 0, '', ''),
		('105', 'Coded Data Field: Textual Material, Monographic', 'Coded Data Field: Textual Material, Monographic', 0, 0, '', ''),
		('106', 'Coded Data Field: Textual Material - Physical Attributes', 'Coded Data Field: Textual Material - Physical Attributes', 0, 0, '', ''),
		('110', 'Coded Data Field: Serials', 'Coded Data Field: Serials', 0, 0, '', ''),
		('115', 'Coded Data Field: Visual Projections, Videorecordings, and Motion Pictures', 'Coded Data Field: Visual Projections, Videorecordings, and Motion Pictures', 0, 0, '', ''),
		('116', 'Coded Data Field: Graphics', 'Coded Data Field: Graphics', 0, 0, '', ''),
		('117', 'Coded Data Field: Three-Dimensional Artefacts and Realia', 'Coded Data Field: Three-Dimensional Artefacts and Realia', 0, 0, '', ''),
		('120', 'Coded Data Field: Cartographic Materials - General', 'Coded Data Field: Cartographic Materials - General', 0, 0, '', ''),
		('121', 'Coded Data Field: Cartographic Materials: Physical Attributes', 'Coded Data Field: Cartographic Materials: Physical Attributes', 0, 0, '', ''),
		('122', 'Coded Data Field: Time Period of Item Content', 'Coded Data Field: Time Period of Item Content', 0, 0, '', ''),
		('123', 'Coded Data Field: Cartographic Materials - Scale and Coordinates', 'Coded Data Field: Cartographic Materials - Scale and Coordinates', 0, 0, '', ''),
		('124', 'Coded Data Field: Cartographic Material - Specific Material Designation Analysis', 'Coded Data Field: Cartographic Material - Specific Material Designation Analysis', 0, 0, '', ''),
		('125', 'Coded Data Field: Sound Recordings and Printed Music', 'Coded Data Field: Sound Recordings and Printed Music', 0, 0, '', ''),
		('126', 'Coded Data Field: Sound Recordings - Physical Attributes', 'Coded Data Field: Sound Recordings - Physical Attributes', 0, 0, '', ''),
		('127', 'Coded Data Field: Duration of Sound Recordings and Printed Music', 'Coded Data Field: Duration of Sound Recordings and Printed Music', 0, 0, '', ''),
		('128', 'Coded Data Field: Music Performances and Scores', 'Coded Data Field: Music Performances and Scores', 0, 0, '', ''),
		('130', 'Coded Data Field: Microforms - Physical Attributes', 'Coded Data Field: Microforms - Physical Attributes', 0, 0, '', ''),
		('131', 'Coded Data Field: Cartographic Materials - Geodetic, Grid and Vertical Measurement', 'Coded Data Field: Cartographic Materials - Geodetic, Grid and Vertical Measurement', 0, 0, '', ''),
		('135', 'Coded Data Field: Computer Files', 'Coded Data Field: Computer Files', 0, 0, '', ''),
		('140', 'Coded Data Field: Antiquarian - General', 'Coded Data Field: Antiquarian - General', 0, 0, '', ''),
		('141', 'Coded Data Field: Antiquarian - Copy Specific Attributes', 'Coded Data Field: Antiquarian - Copy Specific Attributes', 0, 0, '', ''),
		('200', 'Title and Statement of Responsibility', 'Title and Statement of Responsibility', 1, 1, '', ''),
		('205', 'Edition Statement', 'Edition Statement', 0, 0, '', ''),
		('206', 'Material Specific Area: Cartographic Materials - Mathematical Data', 'Material Specific Area: Cartographic Materials - Mathematical Data', 0, 0, '', ''),
		('207', 'Material Specific Area: Serials Numbering', 'Material Specific Area: Serials Numbering', 0, 0, '', ''),
		('208', 'Material Specific Area: Printed Music Specific Statement', 'Material Specific Area: Printed Music Specific Statement', 0, 0, '', ''),
		('210', 'Publication, Distribution, etc.', 'Publication, Distribution, etc.', 0, 1, '', ''),
		('211', 'Projected Publication Date', 'Projected Publication Date', 0, 0, '', ''),
		('215', 'Physical Description', 'Physical Description', 0, 0, '', ''),
		('225', 'Series', 'Series', 0, 0, '', ''),
		('230', 'Material Specific Area: Computer File Characteristics', 'Material Specific Area: Computer File Characteristics', 0, 0, '', ''),
		('300', 'General Notes', 'General Notes', 0, 0, '', ''),
		('301', 'Notes Pertaining to Identification Numbers', 'Notes Pertaining to Identification Numbers', 0, 0, '', ''),
		('302', 'Notes Pertaining to Coded Information', 'Notes Pertaining to Coded Information', 0, 0, '', ''),
		('303', 'Notes Pertaining to Descriptive Information', 'Notes Pertaining to Descriptive Information', 0, 0, '', ''),
		('304', 'Notes Pertaining to Title and Statement of Responsibility', 'Notes Pertaining to Title and Statement of Responsibility', 0, 0, '', ''),
		('305', 'Notes Pertaining to Edition and Bibliographic History', 'Notes Pertaining to Edition and Bibliographic History', 0, 0, '', ''),
		('306', 'Notes Pertaining to Publication, Distribution, etc.', 'Notes Pertaining to Publication, Distribution, etc.', 0, 0, '', ''),
		('307', 'Notes Pertaining to Physical Description', 'Notes Pertaining to Physical Description', 0, 0, '', ''),
		('308', 'Notes Pertaining to Series', 'Notes Pertaining to Series', 0, 0, '', ''),
		('310', 'Notes Pertaining to Binding and Availability', 'Notes Pertaining to Binding and Availability', 0, 0, '', ''),
		('311', 'Notes Pertaining to Linking Fields', 'Notes Pertaining to Linking Fields', 0, 0, '', ''),
		('312', 'Notes Pertaining to Related Titles', 'Notes Pertaining to Related Titles', 0, 0, '', ''),
		('313', 'Notes Pertaining to Subject Access', 'Notes Pertaining to Subject Access', 0, 0, '', ''),
		('314', 'Notes Pertaining to Intellectual Responsibility', 'Notes Pertaining to Intellectual Responsibility', 0, 0, '', ''),
		('315', 'Notes Pertaining to Material (or Type of Publication) Specific Information', 'Notes Pertaining to Material (or Type of Publication) Specific Information', 0, 0, '', ''),
		('316', 'Notes Pertaining to Exemplar', 'Notes Pertaining to Exemplar', 0, 0, '', ''),
		('317', 'Notes Pertaining to Origin of Item', 'Notes Pertaining to Origin of Item', 0, 0, '', ''),
		('318', 'Action Note', 'Action Note', 0, 0, '', ''),
		('320', 'Notes Pertaining to Internal Bibliographies/Notes Pertaining to Indexes', 'Notes Pertaining to Internal Bibliographies/Notes Pertaining to Indexes', 0, 0, '', ''),
		('321', 'Notes Pertaining to External Indexes/ Notes Pertaining References', 'Notes Pertaining to External Indexes/ Notes Pertaining References', 0, 0, '', ''),
		('322', 'Notes Pertaining to Credits (Projected and Video Material and Sound Recordings)', 'Notes Pertaining to Credits (Projected and Video Material and Sound Recordings)', 0, 0, '', ''),
		('323', 'Notes Pertaining to Cast (Projected and Video Material and Sound Recordings)', 'Notes Pertaining to Cast (Projected and Video Material and Sound Recordings)', 0, 0, '', ''),
		('324', 'Notes Pertaining to Original Work', 'Notes Pertaining to Original Work', 0, 0, '', ''),
		('325', 'Notes Pertaining to Reproduction of Work', 'Notes Pertaining to Reproduction of Work', 0, 0, '', ''),
		('326', 'Notes Pertaining to Frequency Statement (Serials)', 'Notes Pertaining to Frequency Statement (Serials)', 0, 0, '', ''),
		('327', 'Notes Pertaining to Content', 'Notes Pertaining to Content', 0, 0, '', ''),
		('328', 'Notes Pertaining to Dissertations (Thesis)', 'Notes Pertaining to Dissertations (Thesis)', 0, 0, '', ''),
		('330', 'Summary or Abstract', 'Summary or Abstract', 0, 0, '', ''),
		('332', 'Preferred Citation of Described Materials', 'Preferred Citation of Described Materials', 0, 0, '', ''),
		('333', 'Notes Pertaining to Users/Intended Audience', 'Notes Pertaining to Users/Intended Audience', 0, 0, '', ''),
		('336', 'Notes Pertaining to Type of Computer File', 'Notes Pertaining to Type of Computer File', 0, 0, '', ''),
		('337', 'Notes Pertaining to Technical Details (Computer Files)', 'Notes Pertaining to Technical Details (Computer Files)', 0, 0, '', ''),
		('345', 'Notes Pertaining to Acquisition Information', 'Notes Pertaining to Acquisition Information', 0, 0, '', ''),
		('410', 'Series', 'Series', 0, 0, '', ''),
		('411', 'Sub-Series', 'Sub-Series', 0, 0, '', ''),
		('421', 'Supplement', 'Supplement', 0, 0, '', ''),
		('422', 'Parent of Supplement', 'Parent of Supplement', 0, 0, '', ''),
		('423', 'Issued with', 'Issued with', 0, 0, '', ''),
		('430', 'Continues', 'Continues', 0, 0, '', ''),
		('431', 'Continues in Part', 'Continues in Part', 0, 0, '', ''),
		('432', 'Supersedes', 'Supersedes', 0, 0, '', ''),
		('433', 'Supersedes in Part', 'Supersedes in Part', 0, 0, '', ''),
		('434', 'Absorbed', 'Absorbed', 0, 0, '', ''),
		('435', 'Absorbed in Part', 'Absorbed in Part', 0, 0, '', ''),
		('436', 'Formed by Merger of ..., ... and ...', 'Formed by Merger of ..., ... and ...', 0, 0, '', ''),
		('437', 'Separated from', 'Separated from', 0, 0, '', ''),
		('440', 'Continued by', 'Continued by', 0, 0, '', ''),
		('441', 'Continued in Part by', 'Continued in Part by', 0, 0, '', ''),
		('442', 'Superseded by', 'Superseded by', 0, 0, '', ''),
		('443', 'Superseded in Part by', 'Superseded in Part by', 0, 0, '', ''),
		('444', 'Absorbed by', 'Absorbed by', 0, 0, '', ''),
		('445', 'Absorbed in Part by', 'Absorbed in Part by', 0, 0, '', ''),
		('446', 'Split into ..., ..., and ...', 'Split into ..., ..., and ...', 0, 0, '', ''),
		('447', 'Merged with ..., ..., and ... to Form', 'Merged with ..., ..., and ... to Form', 0, 0, '', ''),
		('448', 'Changed Back to', 'Changed Back to', 0, 0, '', ''),
		('451', 'Other Edition in the Same Medium', 'Other Edition in the Same Medium', 0, 0, '', ''),
		('452', 'Other Edition in the Another Medium', 'Other Edition in the Another Medium', 0, 0, '', ''),
		('453', 'Translated as', 'Translated as', 0, 0, '', ''),
		('454', 'Translation of', 'Translation of', 0, 0, '', ''),
		('455', 'Reproduction of', 'Reproduction of', 0, 0, '', ''),
		('456', 'Reproduced as', 'Reproduced as', 0, 0, '', ''),
		('461', 'Level (Set)', 'Level (Set)', 0, 0, '', ''),
		('462', 'Level (Subset)', 'Level (Subset)', 0, 0, '', ''),
		('463', 'Level (Piece)', 'Level (Piece)', 0, 0, '', ''),
		('464', 'Level (Piece-Analytic)', 'Level (Piece-Analytic)', 0, 0, '', ''),
		('470', 'Item reviewed', 'Item reviewed', 0, 0, '', ''),
		('481', 'Also Bound in this Volume', 'Also Bound in this Volume', 0, 0, '', ''),
		('482', 'Bound With', 'Bound With', 0, 0, '', ''),
		('488', 'Other Related Work', 'Other Related Work', 0, 0, '', ''),
		('500', 'Uniform Title', 'Uniform Title', 0, 0, '', ''),
		('501', 'Collective Uniform Title', 'Collective Uniform Title', 0, 0, '', ''),
		('503', 'Uniform Conventional Heading', 'Uniform Conventional Heading', 0, 0, '', ''),
		('510', 'Palellel Title Proper', 'Palellel Title Proper', 0, 0, '', ''),
		('512', 'Cover Title', 'Cover Title', 0, 0, '', ''),
		('513', 'Added Title - Page Title', 'Added Title - Page Title', 0, 0, '', ''),
		('514', 'Caption Title', 'Caption Title', 0, 0, '', ''),
		('515', 'Running Title', 'Running Title', 0, 0, '', ''),
		('516', 'Spine Title', 'Spine Title', 0, 0, '', ''),
		('517', 'Other Variant Titles', 'Other Variant Titles', 0, 0, '', ''),
		('518', 'Title in Standard Modern Spelling', 'Title in Standard Modern Spelling', 0, 0, '', ''),
		('520', 'Former Title (Serials)', 'Former Title (Serials)', 0, 0, '', ''),
		('530', 'Key Title (Serials)', 'Key Title (Serials)', 0, 0, '', ''),
		('531', 'Abbreviated Title (Serials)', 'Abbreviated Title (Serials)', 0, 0, '', ''),
		('532', 'Expanded Title', 'Expanded Title', 0, 0, '', ''),
		('540', 'Additional Title Supplied by Cataloguer', 'Additional Title Supplied by Cataloguer', 0, 0, '', ''),
		('541', 'Translated Title Supplied by Cataloguer', 'Translated Title Supplied by Cataloguer', 0, 0, '', ''),
		('545', 'Section Title', 'Section Title', 0, 0, '', ''),
		('600', 'Personal Name Used as Subject', 'Personal Name Used as Subject', 0, 0, '', ''),
		('601', 'Corporate Body Used as Subject', 'Corporate Body Used as Subject', 0, 0, '', ''),
		('602', 'Family Name Used as Subject', 'Family Name Used as Subject', 0, 0, '', ''),
		('604', 'Name and Title Used as Subject', 'Name and Title Used as Subject', 0, 0, '', ''),
		('605', 'Title Used as Subject', 'Title Used as Subject', 0, 0, '', ''),
		('606', 'Topical Name Used as Subject', 'Topical Name Used as Subject', 0, 0, '', ''),
		('607', 'Geographical Name Used as Subject', 'Geographical Name Used as Subject', 0, 0, '', ''),
		('608', 'Form, Genre of Phyisical Characteristics Heading', 'Form, Genre of Phyisical Characteristics Heading', 0, 0, '', ''),
		('610', 'Uncontrolled Subject Terms', 'Uncontrolled Subject Terms', 0, 0, '', ''),
		('615', 'Subject Category', 'Subject Category', 0, 0, '', ''),
		('620', 'Place Access', 'Place Access', 0, 0, '', ''),
		('626', 'Technical Details Access (Computer Files)', 'Technical Details Access (Computer Files)', 0, 0, '', ''),
		('660', 'Geographic Area Code', 'Geographic Area Code', 0, 0, '', ''),
		('661', 'Time Period Code', 'Time Period Code', 0, 0, '', ''),
		('670', 'PRECIS', 'PRECIS', 0, 0, '', ''),
		('675', 'Universal Decimal Classification (UDC)', 'Universal Decimal Classification (UDC)', 0, 0, '', ''),
		('676', 'Dewey Decimal Classification', 'Dewey Decimal Classification', 0, 0, '', ''),
		('680', 'Library of Congress Classification', 'Library of Congress Classification', 0, 0, '', ''),
		('686', 'Other Class Numbers', 'Other Class Numbers', 0, 0, '', ''),
		('700', 'Personal Name - Primary Intellectual Responsibility', 'Personal Name - Primary Intellectual Responsibility', 0, 0, '', ''),
		('701', 'Personal Name - Alternative Intellectual Responsibility', 'Personal Name - Alternative Intellectual Responsibility', 0, 0, '', ''),
		('702', 'Personal Name - Secondary Intellectual Responsibility', 'Personal Name - Secondary Intellectual Responsibility', 0, 0, '', ''),
		('710', 'Corporate Body - Primary Intellectual Responsibility', 'Corporate Body - Primary Intellectual Responsibility', 0, 0, '', ''),
		('711', 'Corporate Body - Alternative Intellectual Responsibility', 'Corporate Body - Alternative Intellectual Responsibility', 0, 0, '', ''),
		('712', 'Corporate Body - Secondary Intellectual Responsibility', 'Corporate Body - Secondary Intellectual Responsibility', 0, 0, '', ''),
		('720', 'Family Name - Primary Intellectual Responsibility', 'Family Name - Primary Intellectual Responsibility', 0, 0, '', ''),
		('721', 'Family Name - Alternative Intellectual Responsibility', 'Family Name - Alternative Intellectual Responsibility', 0, 0, '', ''),
		('722', 'Family Name - Secondary Intellectual Responsibility', 'Family Name - Secondary Intellectual Responsibility', 0, 0, '', ''),
		('801', 'Originating Source', 'Originating Source', 1, 0, '', ''),
		('802', 'ISSN Centre', 'ISSN Centre', 0, 0, '', ''),
		('830', 'General Cataloguer&#039s Note', 'General Cataloguer&#039s Note', 0, 0, '', ''),
		('856', 'Electronic Location and Access', 'Electronic Location and Access', 0, 0, '', '');


INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'fixed length control field', 'fixed length control field', 0, 1, '', 0, '', '', 'unimarc_leader.pl', 0, 0, '', '', '', NULL),
		('001', '@', 'control field', 'control field', 0, 1, 'biblio.biblionumber', -1, '', '', '', 0, 0, '', '', '', NULL),
		('005', '@', 'control field', 'control field', 0, 0, '', 0, '', '', 'marc21_field_005.pl', 0, 0, '', '', '', NULL),
		('010', 'a', 'Number (ISBN)', 'Number (ISBN)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, 0, '', '', '', NULL),
		('010', 'b', 'Qualification', 'Qualification', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('010', 'd', 'Terms of availability and/or Price', 'Terms of availability and/or Price', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('010', 'z', 'Erroneous ISBN', 'Erroneous ISBN', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('011', 'a', 'Number (ISSN)', 'Number (ISSN)', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, 0, '', '', '', NULL),
		('011', 'b', 'Qualification', 'Qualification', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('011', 'd', 'Terms of availability and/or price', 'Terms of availability and/or price', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('011', 'y', 'Cancelled ISSN', 'Cancelled ISSN', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('011', 'z', 'Erroneous ISSN', 'Erroneous ISSN', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('012', '2', 'Fingerprint System Code', 'Fingerprint System Code', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('012', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 1, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('012', 'a', 'Fingerprint', 'Fingerprint', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('013', 'a', 'Number (ISMN)', 'Number (ISMN)', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('013', 'b', 'Qualification', 'Qualification', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('013', 'd', 'Terms of Availability and/or Price', 'Terms of Availability and/or Price', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('013', 'z', 'Erroneous ISMN', 'Erroneous ISMN', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('014', '2', 'System Code', 'System Code', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('014', 'a', 'Article Identifier', 'Article Identifier', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('014', 'z', 'Erroneous Article Identifier', 'Erroneous Article Identifier', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('020', 'a', 'Country Code', 'Country Code', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('020', 'b', 'Number', 'Number', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('020', 'z', 'Erroneous Number', 'Erroneous Number', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('021', 'a', 'Country Code', 'Country Code', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('021', 'b', 'Number', 'Number', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('021', 'z', 'Erroneous Number', 'Erroneous Number', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('022', 'a', 'Country Code', 'Country Code', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('022', 'b', 'Number', 'Number', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('022', 'z', 'Erroneous Number', 'Erroneous Number', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('040', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('040', 'z', 'Erroneous CODEN', 'Erroneous CODEN', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('071', 'a', 'Publisher\'s Number (Sound Recordings and Music)', 'Publisher\'s Number (Sound Recordings and Music)', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('071', 'b', 'Source', 'Source', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('100', 'a', 'General Processing Data', 'General Processing Data', 0, 0, '', 1, '', '', 'unimarc_field_100.pl', 0, 0, '', '', '', NULL),
		('101', 'a', 'Language of the Text, Soundtrack, etc.', 'Language of the Text, Soundtrack, etc.', 1, 0, '', 1, 'LAN', '', '', 0, 0, '', '', '', NULL),
		('101', 'b', 'Language of Intermediate Text when Item is Not Translated from Original', 'Language of Intermediate Text when Item is Not Translated from Original', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'c', 'Language of Original Work', 'Language of Original Work', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'd', 'Language of Summary', 'Language of Summary', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'e', 'Language of Contents Page', 'Language of Contents Page', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'f', 'Language of Title Page if Different from Text', 'Language of Title Page if Different from Text', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'g', 'Language of Title Proper if Not First Language of Text, Soundtrack, etc.', 'Language of Title Proper if Not First Language of Text, Soundtrack, etc.', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'h', 'Language of Libretto, etc.', 'Language of Libretto, etc.', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'i', 'Language of Accompainying MAterial (Other than Summaries, Abstracts or Librettos', 'Language of Accompainying MAterial (Other than Summaries, Abstracts or Librettos', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'j', 'Language of Subtitles', 'Language of Subtitles', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('102', 'a', 'Country of Publication', 'Country of Publication', 1, 0, '', 1, 'COU', '', '', 0, 0, '', '', '', NULL),
		('102', 'b', 'Locality of Publication', 'Locality of Publication', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('105', 'a', 'Monograph Coded Data', 'Monograph Coded Data', 0, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL),
		('106', 'a', 'Textual Material Data - Physical Medium Designator', 'Textual Material Data - Physical Medium Designator', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('110', 'a', 'Serial Coded Data', 'Serial Coded Data', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('115', 'a', 'Coded Data - General', 'Coded Data - General', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('115', 'b', 'Motion Picture Coded Data - Archivial', 'Motion Picture Coded Data - Archivial', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('116', 'a', 'Coded Data for Graphics', 'Coded Data for Graphics', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('117', 'a', 'Coded Data for Three-Dimensional Artefacts and Realia', 'Coded Data for Three-Dimensional Artefacts and Realia', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('120', 'a', 'Cartographic Material Coded Data: Physical Attributes (General)', 'Cartographic Material Coded Data: Physical Attributes (General)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('121', 'a', 'Cartographic Material Coded Data: Physical Attributes (General)', 'Cartographic Material Coded Data: Physical Attributes (General)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('121', 'b', 'Aerial Photography and Remote Sensing Coded Data: Physical Attributes', 'Aerial Photography and Remote Sensing Coded Data: Physical Attributes', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('122', 'a', 'Time Period, 9999 B.C. to Present', 'Time Period, 9999 B.C. to Present', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'a', 'Type of Scale', 'Type of Scale', 0, 1, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'b', 'Constant Ratio Linear Horizontal Scale', 'Constant Ratio Linear Horizontal Scale', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'c', 'Constant Ratio Linear Vertical Scale', 'Constant Ratio Linear Vertical Scale', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'd', 'Coordinates - Westernmost Longitude', 'Coordinates - Westernmost Longitude', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'e', 'Coordinates - Easternmost Longitude', 'Coordinates - Easternmost Longitude', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'f', 'Coordinates - Northernmost Latitude', 'Coordinates - Northernmost Latitude', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'g', 'Coordinates - Southernmost Latitude', 'Coordinates - Southernmost Latitude', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'h', 'Angular Scale', 'Angular Scale', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'i', 'Declination - Northern Limit', 'Declination - Northern Limit', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'j', 'Declination - Southern Limit', 'Declination - Southern Limit', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'k', 'Right Ascension - Eastern Limits', 'Right Ascension - Eastern Limits', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'm', 'Right Ascension - Western Limits', 'Right Ascension - Western Limits', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'n', 'Equinox', 'Equinox', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'o', 'Epoch', 'Epoch', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'a', 'Character of Image', 'Character of Image', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'b', 'Form of Cartographic Item', 'Form of Cartographic Item', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'c', 'Presentation Technique for Photographic or Non-Photographic Image', 'Presentation Technique for Photographic or Non-Photographic Image', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'd', 'Position of Platform for Photographic or Remote Sensing Image', 'Position of Platform for Photographic or Remote Sensing Image', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'e', 'Category of Satellite for Remote Sensing Image', 'Category of Satellite for Remote Sensing Image', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'f', 'Name of Satellite for Remote Sensing Image', 'Name of Satellite for Remote Sensing Image', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'g', 'Recording Technique for Remote Sensing Image', 'Recording Technique for Remote Sensing Image', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('125', 'a', 'Format of Printed Music', 'Format of Printed Music', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('125', 'b', 'Literary Text Indicator (Non-Music Performance)', 'Literary Text Indicator (Non-Music Performance)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('126', 'a', 'Sound Recordings Coded Data (General)', 'Sound Recordings Coded Data (General)', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('126', 'b', 'Sound Recordings Coded Data (Detail)', 'Sound Recordings Coded Data (Detail)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('127', 'a', 'Duration', 'Duration', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('128', 'a', 'Form of Composition', 'Form of Composition', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('128', 'b', 'Instruments or Voices for Ensemble', 'Instruments or Voices for Ensemble', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('128', 'c', 'Instruments or Voices for Soloists', 'Instruments or Voices for Soloists', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('130', 'a', 'Microform Coded Data - Physical Attributes', 'Microform Coded Data - Physical Attributes', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'a', 'Spheroid', 'Spheroid', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'b', 'Horizontal Datum', 'Horizontal Datum', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'c', 'Grid and Referencing System', 'Grid and Referencing System', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'd', 'Overlapping and Referencing System', 'Overlapping and Referencing System', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'e', 'Secondary Grid and Referencing System', 'Secondary Grid and Referencing System', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'f', 'Vertical Datum', 'Vertical Datum', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'g', 'unité de mesure pour l\'altitudeUnit of Measurement of Heighting', 'unité de mesure pour l\'altitudeUnit of Measurement of Heighting', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'h', 'Contour Interval', 'Contour Interval', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'i', 'Supplementary Contour Interval', 'Supplementary Contour Interval', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'j', 'Unit of Measurement', 'Unit of Measurement', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'k', 'Bathymetric Interval', 'Bathymetric Interval', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'l', 'Supplementary Bathymetric Interval', 'Supplementary Bathymetric Interval', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('135', 'a', 'Coded Data for Computer Files', 'Coded Data for Computer Files', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('140', 'a', 'Antiquarian Coded Data - General', 'Antiquarian Coded Data - General', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('141', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 1, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('141', 'a', 'Antiquarian Coded Data - Copy Specific Attributes', 'Antiquarian Coded Data - Copy Specific Attributes', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('200', '5', '(*) Nom de institution à laquelle s&#39;applique cette zone', '(*) Nom de institution à laquelle s&#39;applique cette zone', 0, 1, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'a', 'Title Proper', 'Title Proper', 1, 1, 'biblio.title', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'c', 'Title Proper by Another Author', 'Title Proper by Another Author', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'd', 'Paralel Title Proper', 'Paralel Title Proper', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'e', 'Other Title Information', 'Other Title Information', 0, 1, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 0, 0, 'biblio.author', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'h', 'Number of a Part', 'Number of a Part', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'i', 'Name of a Part', 'Name of a Part', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'v', 'Volume Designation', 'Volume Designation', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'z', 'Language of Paralel Title Proper', 'Language of Paralel Title Proper', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('205', 'a', 'Edition Statement', 'Edition Statement', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', 0, 0, '', '', '', NULL),
		('205', 'b', 'Issue Statement', 'Issue Statement', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('205', 'd', 'Parallel Edition Statement', 'Parallel Edition Statement', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('205', 'f', 'Statement of Responsibility Relating to Edition', 'Statement of Responsibility Relating to Edition', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('205', 'g', 'Subsequent Statement of Responsibility Relating to Edition', 'Subsequent Statement of Responsibility Relating to Edition', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('206', 'a', 'Mathematical Data Statement', 'Mathematical Data Statement', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('207', 'a', 'Numbering: Dates and Volume Designations', 'Numbering: Dates and Volume Designations', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('207', 'z', 'Source of Numbering Information', 'Source of Numbering Information', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('208', 'a', 'Printed Music Specific Statement', 'Printed Music Specific Statement', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('208', 'd', 'Parallel Printed Music Specific Statemen(s)', 'Parallel Printed Music Specific Statemen(s)', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'a', 'Place of Publication, Distribution, etc.', 'Place of Publication, Distribution, etc.', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'b', 'Address of Publisher, Distributor, etc.', 'Address of Publisher, Distributor, etc.', 0, 1, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'c', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 0, 0, 'biblioitems.publishercode', 2, '', '', 'unimarc_field_210c.pl', 0, 0, '', '', '', NULL),
		('210', 'd', 'Data of Publication, Distribution, etc.', 'Data of Publication, Distribution, etc.', 0, 0, 'biblioitems.publicationyear', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'e', 'Place of Manifacture', 'Place of Manifacture', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'f', 'Address of Manifacturer', 'Address of Manifacturer', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'g', 'Name of Manifacturer', 'Name of Manifacturer', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'h', 'Data of Manifacture', 'Data of Manifacture', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('211', 'a', 'Date', 'Date', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('215', 'a', 'Specific Material Designation and Extent of Item', 'Specific Material Designation and Extent of Item', 0, 0, 'biblioitems.pages', 2, '', '', '', 0, 0, '', '', '', NULL),
		('215', 'c', 'Other Physical Details', 'Other Physical Details', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('215', 'd', 'Dimensions', 'Dimensions', 0, 0, 'biblioitems.size', 2, '', '', '', 0, 0, '', '', '', NULL),
		('215', 'e', 'Accompanying Material', 'Accompanying Material', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'a', 'Series Title', 'Series Title', 0, 0, 'biblio.seriestitle', 2, '', '', 'unimarc_field_225a.pl', 0, 0, '', '', '', NULL),
		('225', 'd', 'Parallel Series Title', 'Parallel Series Title', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'e', 'Other Title Information', 'Other Title Information', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'f', 'Statement of Responsibility', 'Statement of Responsibility', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'h', 'Number of a Part', 'Number of a Part', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'i', 'Name of a Part', 'Name of a Part', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'v', 'Volume Designation', 'Volume Designation', 0, 0, 'biblioitems.volume', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'x', 'ISSN of a Series', 'ISSN of a Series', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'z', 'Language of Parallel Title', 'Language of Parallel Title', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('230', 'a', 'Designation and Extent of File', 'Designation and Extent of File', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('300', 'a', 'Text of Note', 'Text of Note', 0, 0, 'biblio.notes', 3, '', '', '', 0, 0, '', '', '', NULL),
		('301', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('302', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('303', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('304', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('305', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('306', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('307', 'a', 'texte de la note', 'texte de la note', 0, 0, '', 3, '', '', '', NULL, NULL, '', NULL, NULL, NULL),
		('308', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('310', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('311', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('312', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('313', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('314', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('315', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('316', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('317', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 1, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'a', 'Action', 'Action', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'b', 'Action Identification', 'Action Identification', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'c', 'Time of Action', 'Time of Action', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'd', 'Action Interval', 'Action Interval', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'e', 'Contingency for Action', 'Contingency for Action', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'f', 'Authorization', 'Authorization', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'h', 'Jurisdiction', 'Jurisdiction', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'i', 'Method of Action', 'Method of Action', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'j', 'Site of Action', 'Site of Action', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'k', 'Action Agent', 'Action Agent', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'l', 'Status', 'Status', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'n', 'Extent', 'Extent', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'o', 'Type of Unit', 'Type of Unit', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'p', 'Nonpublic Note', 'Nonpublic Note', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'r', 'Public Note', 'Public Note', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('320', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('321', 'a', 'Indexes, Abstracts, References Note', 'Indexes, Abstracts, References Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('321', 'b', 'Dates of Coverage', 'Dates of Coverage', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('321', 'x', 'ISSN', 'ISSN', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('322', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('323', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('324', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('325', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('326', 'a', 'Frequency', 'Frequency', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('326', 'b', 'Dates of Frequency', 'Dates of Frequency', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('327', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('328', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('330', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('332', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('333', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('336', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('337', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('345', 'a', 'Source of Acquisition/Subscription Address', 'Source of Acquisition/Subscription Address', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('345', 'b', 'Stock Number', 'Stock Number', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('345', 'c', 'Medium', 'Medium', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('345', 'd', 'Terms of Availability', 'Terms of Availability', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('410', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'c', 'Place of Publication', 'Place of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 't', 'Title', 'Title', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'u', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'x', 'ISSN', 'ISSN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'y', 'ISBN/International Standard Music Number', 'ISBN/International Standard Music Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('500', '2', 'System Code', 'System Code', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'a', 'Uniform Title', 'Uniform Title', 0, 0, 'biblio.unititle', 5, '', '', '', 0, 0, '', '', '', NULL),
		('500', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'i', 'Name of Section or Part', 'Name of Section or Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'k', 'Date of Publication', 'Date of Publication', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'l', 'Form Subheading', 'Form Subheading', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'm', 'Language (when Part of a Heading)', 'Language (when Part of a Heading)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'q', 'Version (or Date of Version)', 'Version (or Date of Version)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'v', 'Volume Designation', 'Volume Designation', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'w', 'Arranged Statement (for Music)', 'Arranged Statement (for Music)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'x', 'Topical Subdivision', 'Topical Subdivision', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', '2', 'System Code', 'System Code', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'a', 'Collective Uniform Title', 'Collective Uniform Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'b', 'General Material Designation', 'General Material Designation', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'e', 'Collective Uniform Subtitle', 'Collective Uniform Subtitle', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'k', 'Date of Publication', 'Date of Publication', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'm', 'Language (when Part of A Heading)', 'Language (when Part of A Heading)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'w', 'Arranged Statement (for Music)', 'Arranged Statement (for Music)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'a', 'Form Heading Proper', 'Form Heading Proper', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'b', 'Form Subheading', 'Form Subheading', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'd', 'Month and Day', 'Month and Day', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'e', 'Surname of Person', 'Surname of Person', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'f', 'Forename', 'Forename', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'h', 'Personal Name Qualifier', 'Personal Name Qualifier', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'i', 'Ttle of Part', 'Ttle of Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'j', 'Year', 'Year', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'k', 'Numeration (Arabic)', 'Numeration (Arabic)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'l', 'Numeration (Roman)', 'Numeration (Roman)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'm', 'Locality', 'Locality', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'n', 'Institution in Locality', 'Institution in Locality', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'a', 'Parallel Title', 'Parallel Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('512', 'a', 'Cover Title', 'Cover Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('512', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('513', 'a', 'Added Title - Page Title', 'Added Title - Page Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('513', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('513', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('513', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('514', 'a', 'Caption Title', 'Caption Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('514', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('515', 'a', 'Running Title', 'Running Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('516', 'a', 'Spine Title', 'Spine Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('516', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('517', 'a', 'Variant Title', 'Variant Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('517', 'e', 'Other Title Information', 'Other Title Information', 0, 0, '', 5, '', '', NULL, 0, 0, '', '', '', NULL),
		('518', 'a', 'Title Proper, Variant Title or Uniform Title in Standard Modern Spelling', 'Title Proper, Variant Title or Uniform Title in Standard Modern Spelling', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'a', 'Former Title Proper', 'Former Title Proper', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'h', 'Number of Part', 'Number of Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'i', 'Name of Part', 'Name of Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'j', 'Volumes or Dates of Former Title', 'Volumes or Dates of Former Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'x', 'ISSN of Former Title', 'ISSN of Former Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('530', 'a', 'Key Title', 'Key Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('530', 'b', 'Qualifier', 'Qualifier', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('530', 'j', 'Volume or Dates Associated with Key Title', 'Volume or Dates Associated with Key Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('530', 'v', 'Volume Designation', 'Volume Designation', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('531', 'a', 'Abbreviated Title', 'Abbreviated Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('531', 'b', 'Qualifier', 'Qualifier', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('531', 'v', 'Volume Designation', 'Volume Designation', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('532', 'a', 'Expanded Title', 'Expanded Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('532', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('540', 'a', 'Additional Title Supplied by Cataloguer', 'Additional Title Supplied by Cataloguer', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('541', 'a', 'Translated Title Supplied by Cataloguer', 'Translated Title Supplied by Cataloguer', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('541', 'e', 'Other Title Information', 'Other Title Information', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('541', 'h', 'Number of Part', 'Number of Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('541', 'i', 'Name of Part', 'Name of Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('541', 'z', 'Language of Translated Title', 'Language of Translated Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('545', 'a', 'Section Title', 'Section Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('600', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'c', 'Additions to Name Other than Dates', 'Additions to Name Other than Dates', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'f', 'Dates', 'Dates', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'b', 'Subdivision (or Name if Entered under Place)', 'Subdivision (or Name if Entered under Place)', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'c', 'Additions to Name or Qualifier', 'Additions to Name or Qualifier', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'd', 'Number of Meeting', 'Number of Meeting', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'g', 'Inverted Element', 'Inverted Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', 'f', 'Dates', 'Dates', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('604', '1', 'Linking Data', 'Linking Data', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'k', 'Date of Publication', 'Date of Publication', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'l', 'Form Subheading', 'Form Subheading', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'm', 'Language (when Part of Heading)', 'Language (when Part of Heading)', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'q', 'Version (or Date of Version)', 'Version (or Date of Version)', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', '9', 'Koha Internal code', 'Koha Internal code', 0, 0, '', 6, '', '', '', 0, 1, '', '', '', NULL),
		('606', 'a', 'Entry Element', 'Entry Element', 0, 1, 'bibliosubject.subject', 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', '5', 'Institution to Which Field Applies', 'Institution to Which Field Applies', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('610', 'a', 'Subject Term', 'Subject Term', 0, 1, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', 'a', 'Subject Category Entry Element Text', 'Subject Category Entry Element Text', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', 'm', 'Subject Category Subdivision Text', 'Subject Category Subdivision Text', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', 'n', 'Subject Category Code', 'Subject Category Code', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', 'x', 'Subject Category Subdivision Code', 'Subject Category Subdivision Code', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('620', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('620', 'a', 'Country', 'Country', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('620', 'b', 'State or Province, etc.', 'State or Province, etc.', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('620', 'c', 'County', 'County', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('620', 'd', 'City', 'City', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('626', 'a', 'Make and Model of Machines', 'Make and Model of Machines', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('626', 'b', 'Programming Language', 'Programming Language', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('626', 'c', 'Operating System', 'Operating System', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('660', 'a', 'Geographic Area Code', 'Geographic Area Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('661', 'a', 'Time Period Code', 'Time Period Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('670', 'b', 'Subject Indicator Number', 'Subject Indicator Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('670', 'c', 'String', 'String', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('670', 'e', 'Reference Indicator Number', 'Reference Indicator Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('670', 'z', 'Language of Terms', 'Language of Terms', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('675', 'a', 'Number', 'Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('675', 'v', 'Edition', 'Edition', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('675', 'z', 'Language of Edition', 'Language of Edition', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('676', 'a', 'Number', 'Number', 0, 0, 'biblioitems.dewey', 6, '', '', '', 0, 0, '', '', '', NULL),
		('676', 'v', 'Edition', 'Edition', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('676', 'z', 'Language of Edition', 'Language of Edition', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('680', 'a', 'Class Number', 'Class Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('680', 'b', 'Book Number', 'Book Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('686', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('686', 'a', 'Class Number', 'Class Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('686', 'b', 'Book Number', 'Book Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('686', 'c', 'Classification Subdivision', 'Classification Subdivision', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('700', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', '4', 'Relator Code', 'Relator Code', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', '9', 'Koha Internal Code', 'Koha Internal Code', 0, 0, '', 7, '', '', '', 0, 1, '', '', '', NULL),
		('700', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', 'PER', '', 0, 0, '', '', '', NULL),
		('700', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', 'c', 'Additions to Name Other than Dates', 'Additions to Name Other than Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', '4', 'Relator Code', 'Relator Code', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', '9', 'Koha Internal Code', 'Koha Internal Code', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'c', 'Additions to Name Other than Dates', 'Additions to Name Other than Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', '4', 'Relator Code', 'Relator Code', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', '9', 'Koha Internal Code', 'Koha Internal Code', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'c', 'Additions to Name Other than Dates', 'Additions to Name Other than Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', '4', 'Relator Code', 'Relator Code', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'b', 'Subdivision', 'Subdivision', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'c', 'Additions to Name or Qualifier', 'Additions to Name or Qualifier', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'd', 'Number of Meeting', 'Number of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'g', 'Inverted Element', 'Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', '4', 'Relator Code', 'Relator Code', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'b', 'Subdivision', 'Subdivision', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'c', 'Additions to Name or Qualifier', 'Additions to Name or Qualifier', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'd', 'Number of Meeting', 'Number of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'g', 'Inverted Element', 'Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', '4', 'Relator Code', 'Relator Code', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'b', 'Subdivision', 'Subdivision', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'c', 'Additions to Name or Qualifier', 'Additions to Name or Qualifier', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'd', 'Number of Meeting', 'Number of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'g', 'Inverted Element', 'Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('720', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('720', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('720', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('720', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('721', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('721', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('721', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('721', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('722', '3', 'Authority Code Number', 'Authority Code Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('722', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('722', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('722', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('801', '2', '(*) code du format utilisé', '(*) code du format utilisé', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('801', 'a', 'Country', 'Country', 0, 1, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('801', 'b', 'Agency', 'Agency', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('801', 'c', 'Date of Transaction', 'Date of Transaction', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('801', 'g', 'Cataloguing Rules (Descriptive Conventions)', 'Cataloguing Rules (Descriptive Conventions)', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('802', 'a', 'ISSN Centre Code', 'ISSN Centre Code', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('830', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'a', 'Host Name', 'Host Name', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'b', 'Access Number', 'Access Number', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'c', 'Compression Information', 'Compression Information', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'd', 'Path', 'Path', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'e', 'Data and Hour of Consultation and Access', 'Data and Hour of Consultation and Access', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'f', 'Electronic Name', 'Electronic Name', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'g', 'Uniform Resource Name (URN)', 'Uniform Resource Name (URN)', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'h', 'Processor of Request', 'Processor of Request', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'i', 'Instruction', 'Instruction', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'j', 'Bits per Second', 'Bits per Second', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'k', 'Password', 'Password', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'l', 'Logon/login', 'Logon/login', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'm', 'Contact for Access Assistance', 'Contact for Access Assistance', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'n', 'Location of Host in Subfield $a', 'Location of Host in Subfield $a', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'o', 'Operating System', 'Operating System', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'p', 'Port', 'Port', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'q', 'Electronic Format Type', 'Electronic Format Type', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'r', 'Settings', 'Settings', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 's', 'File Size', 'File Size', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 't', 'Terminal Emulation', 'Terminal Emulation', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'u', 'URL', 'URL', 1, 0, 'biblioitems.url', 8, '', '', '', 1, 0, '', '', '', NULL),
		('856', 'v', 'Hours Access Method Available', 'Hours Access Method Available', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'w', 'Record Control Number', 'Record Control Number', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'x', 'Nonpublic Note', 'Nonpublic Note', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'y', 'Access Method', 'Access Method', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'z', 'Public Note', 'Public Note', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL);


UPDATE `marc_subfield_structure` SET maxlength=24 WHERE tagfield='000';
UPDATE `marc_subfield_structure` SET maxlength=36 WHERE tagfield='100';